'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.CloseOnPopstateMixin = undefined;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

var _event = require('../_utils/dom/event');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

// import {
//     BindEventMixin
// } from './bind-event';

var CloseOnPopstateMixin = exports.CloseOnPopstateMixin = _vue2['default'].extend({
    // mixins: [
    //     BindEventMixin(function (this, bind, isBind) {
    //         this.handlePopstate(isBind && this.closeOnPopstate);
    //     })
    // ],
    props: {
        closeOnPopstate: Boolean
    },
    data: function data() {
        return {
            bindStatus: false
        };
    },

    watch: {
        closeOnPopstate: function closeOnPopstate(val) {
            this.handlePopstate(val);
        }
    },
    methods: {
        handlePopstate: function handlePopstate(bind) {
            if (this.bindStatus !== bind) {
                this.bindStatus = bind;
                var action = bind ? _event.on : _event.off;
                action(window, 'popstate', this.close);
            }
        }
    }
});