'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports['default'] = {
    name: 'uploadList',
    props: {
        items: function items() {
            return [];
        },
        listType: {
            type: String
        }
    },
    data: function data() {
        return {
            prefixCls: 'ant-upload'
        };
    },
    render: function render() {
        var h = arguments[0];
        var _$props = this.$props,
            items = _$props.items,
            listType = _$props.listType;
        var prefixCls = this.$data.prefixCls;

        var listClassNames = [prefixCls + '-list', prefixCls + '-list-' + listType];

        var list = items.forEach(function (file) {
            return h('div', [file.fileName]);
        });

        return h('div', ['\u5E74\u5F00\u53D1\u7684\u80A1\u4EFD'])
        // <transition-group tag="div" class={listClassNames}>
        //     {list}
        // </transition-group>
        ;
    }
};
module.exports = exports.default;