import Vue from 'vue';
import { on, off } from '../_utils/dom/event';
// import {
//     BindEventMixin
// } from './bind-event';

export var CloseOnPopstateMixin = Vue.extend({
    // mixins: [
    //     BindEventMixin(function (this, bind, isBind) {
    //         this.handlePopstate(isBind && this.closeOnPopstate);
    //     })
    // ],
    props: {
        closeOnPopstate: Boolean
    },
    data: function data() {
        return {
            bindStatus: false
        };
    },

    watch: {
        closeOnPopstate: function closeOnPopstate(val) {
            this.handlePopstate(val);
        }
    },
    methods: {
        handlePopstate: function handlePopstate(bind) {
            if (this.bindStatus !== bind) {
                this.bindStatus = bind;
                var action = bind ? on : off;
                action(window, 'popstate', this.close);
            }
        }
    }
});